Skip to main content
DELETE
/
api
/
v2
/
storefront
/
wishlists
/
{token}
/
remove_items
Delete Items from Wishlist
const options = {
  method: 'DELETE',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
  body: JSON.stringify({wished_items_ids: ['1', '2']})
};

fetch('https://demo.spreecommerce.org/api/v2/storefront/wishlists/{token}/remove_items', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{ "data": { "id": "28", "type": "wishlist", "attributes": { "token": "1inBHcJnxBrVEMAZb9esRqZP", "name": "My Wishlist", "is_private": false, "is_default": true, "variant_included": false }, "relationships": { "wished_items": { "data": [ { "id": "14", "type": "wished_item" } ] } } } }

Documentation Index

Fetch the complete documentation index at: https://spreecommerce.org/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

User token to authorize Cart and Checkout requests.

It is required to associate Cart with the User.

Path Parameters

token
string
required

The token is a unique string used to identify the target resource.

Body

application/vnd.api+json
wished_items_ids
string[]

The Wished Item ID that is to be removed from wishlist.

Response

200 Success - Returns the wishlist object.

data
Wishlist · object
required
included
Wishlist Includes · object[]